qtlocation-opensource-src (5.7.1-1ubuntu1~1) zesty; urgency=medium

  * New upstream release.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 18 Nov 2016 08:50:04 +0000

qtlocation-opensource-src (5.7.1-1) unstable; urgency=medium

  * New upstream stable release.
  * Ignore the tests results rather than completely disable them.
  * Bump qtbase build-dependencies to 5.7.1 final.
  * Update debian/copyright.
  * Update libqt5location5.symbols from the current amd64 build log.
  * Replace 5.7.1~20161021 with 5.7.1 in libqt5location5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Dec 2016 21:07:41 +0300

qtlocation-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  * Disable tests during the transition. We have a couple of flaky tests
    on mips*, sometimes they work sometimes they don't. This will be further
    investigated.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Nov 2016 15:47:06 -0300

qtlocation-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 16:26:52 +0300

qtlocation-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 09:52:23 -0300

qtlocation-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh disable_failing_tests.patch.
  * Bump Qt build-dependencies to 5.7.0.
  * Update debian/copyright.
  * Migrate to automatic dbgsym packages.
  * Update symbols files from amd64 build log.
  * Drop obsolete Breaks/Replaces.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 Jul 2016 23:08:44 +0300

qtlocation-opensource-src (5.6.1-2ubuntu1~1) yakkety; urgency=medium

  * New upstream release. (LP: #1202917)
  * Drop patches merged to Qt 5.6:
    - debian/patches/Isolate-the-default-cache-directory.patch
    - debian/patches/Check-if-GenericCacheLocation-is-writable-before-tru.patch
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Feb 2016 07:38:59 +0000

qtlocation-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:01:43 -0300

qtlocation-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove libgconf2-dev from build dependencies. It was used for the gipsy
    plugin, which is long go.
  * Update install files, one example was removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 11 Jun 2016 22:24:09 -0300

qtlocation-opensource-src (5.6.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Make qtlocation5-examples depend on qml-module-qtpositioning.
  * Make libqt5positioning5 recommend geoclue-2.0. It will connect to it by
    using dbus.

  [ Dmitry Shachnev ]
  * Use recommended https URIs for Vcs fields.
  * Simplify the command for running the tests.
  * Install the GeoClue plugin again.
  * Update symbols files for 5.6.0.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Drop debian/copyright entries for removed code.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Mar 2016 23:38:01 +0200

qtlocation-opensource-src (5.5.1-4) unstable; urgency=medium

  * Make qtlocation5-examples depend upon qml-module-qtlocation, required by some
    examples.
  * Remove GeoClue support (Closes: #788108). The code has not switched to
    GeoClue 2. On Qt 5.6 it seems to use DBus to connect to GeoClue, so this
    feature should come back soon.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Mar 2016 23:29:49 -0300

qtlocation-opensource-src (5.5.1-3ubuntu3) yakkety; urgency=medium

  * Rebuild for arm64 gles switch.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 May 2016 06:38:44 +0000

qtlocation-opensource-src (5.5.1-3ubuntu2) xenial; urgency=medium

  * debian/patches/backport_qt_56_osm_backend.patch:
    - Backport OpenStreetMap backend changes from Qt 5.6. (LP: #1568439)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Apr 2016 11:33:49 +0000

qtlocation-opensource-src (5.5.1-3ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Update .install files.
  * Update symbols from build logs.
  * Rebase debian/patches/appSpecificTileCache.diff.
  * Skip qmlinterface tests since they fail to use the module.
  * Build depend on libqt5xcbqpa5 to be able to run tests under xvfb.
  * Bump build deps.
  * Replace appSpecificTileCache.diff with two upstream patches:
    - Check-if-GenericCacheLocation-is-writable-before-tru.patch
    - Isolate-the-default-cache-directory.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:48:15 +0000

qtlocation-opensource-src (5.5.1-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add empty override_dh_auto_test-indep target, so that tests are really
    not run during arch-indep builds.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 19:16:00 -0300

qtlocation-opensource-src (5.5.1-2) experimental; urgency=medium

  * Only run test when building arch-dependant packages. The arch: all
    packages are just doc (Closes: #802344).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 15:56:30 -0300

qtlocation-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.1.

 -- Timo Jyrinki <timo@debian.org>  Mon, 19 Oct 2015 11:22:42 +0000

qtlocation-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename the -doc, -dbg and -examples packages to match the source package
    name, for consistency with other Qt 5 modules.
  * Build new packages for qtlocation module.
  * Drop disable_qtlocation.patch.
  * Update install files for the new release.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/copyright.
  * Disable some failing tests for location module.
  * Update symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 22:46:28 +0300

qtlocation-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 16:02:32 -0300

qtlocation-opensource-src (5.4.2-1ubuntu1) wily; urgency=medium

  * New upstream release.
  * Rename Debian's qtpositioning5-doc-html.links to 
    qtlocation5-doc-html.links

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:54:39 +0000

qtlocation-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Expose HTML documentation (Closes: #751179).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 16:20:36 -0300

qtlocation-opensource-src (5.4.1-1ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Merge with Debian, remaining changes:
    - Build the unreleased Qt Location module 
    - Keep the examples/dbg/doc packages named "qtlocation" as per upstream
    - debian/patches/appSpecificTileCache.diff
    - Different test enablement
    - Keep certain transitions until 16.04 LTS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 07:05:43 +0000

qtlocation-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update watch and copyright to use https://download.qt.io/.
  * Mark three destructors symbols missing with GCC 5 as optional
    (closes: #778090).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 10:08:42 +0300

qtlocation-opensource-src (5.4.0-1ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Drop qt3d dependency, not needed anymore in Qt 5.4
  * Bump dependencies.
  * Update symbols.
  * Merge with Debian, remaining changes:
    - Build the unreleased Qt Location module 
    - Keep the examples/dbg/doc packages named "qtlocation" as per upstream
    - debian/patches/appSpecificTileCache.diff
    - Different test enablement
    - Keep certain transitions until 16.04 LTS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:46:54 +0000

qtlocation-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Drop disable_qgeocircle_extendShape_tests.patch, no longer needed.
  * Disable building qtlocation module for now.
  * Build-depend on qtbase5-doc-html, for docs linking.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2014 16:33:21 +0300

qtlocation-opensource-src (5.3.2-2ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian 5.3.2-2, remaining changes:
    - Build the unreleased Qt Location module 
    - Keep the main packages named "qtlocation" as per upstream
    - debian/patches/appSpecificTileCache.diff
    - Different test enablement

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 09:43:44 +0000

qtlocation-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Create disable_qgeocircle_extendShape_tests.patch to disable this tests
    until QTBUG-41447 is solved.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:26:51 -0300

qtlocation-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop dh_auto_build-arch override, no longer needed.
  * Run tests with QT_QPA_PLATFORM=minimal, so that they could be
    run without Xvfb.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Sep 2014 00:55:17 -0300

qtlocation-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Remove remove_qreal_check.patch, applied upstream.
  * Fix install file with new files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 13:24:41 -0300

qtlocation-opensource-src (5.3.0-3) unstable; urgency=medium

  * Add remove_qreal_check.patch to fix build failure on ARM.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 08 Jun 2014 17:39:36 +0400

qtlocation-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable tests, using disable_failing_tests.patch to disable the tests
    that are currently failing. Both of them seems to lack a source of
    information to properly work.
  * Add build dependencies needed for running the tests.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 11:18:06 -0300

qtlocation-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Install headers in their new m-a path. Mark development package as
    Multi-Arch: same.
  * Remove transitional package qtdeclarative5-qtpositioning-plugin.
  * Remove skip_failing_tests.patch. If the test are failing then they should
    not be deactivated but solved, except we have a good reason to do it.
    And sadly we have one, but seems a missing service for the test to run
    properly. Disable tests *just* for this uppload.
  * Remove qtdeclarative5-qtquick2-plugin from the build dependencies, it is
    not really needed.
  * Add dbus as build dependency and run dbus-launch for the tests.
  * Add geoclue as build dependency, it is needed by the tests.
  * Update symbols files with current build log.
  * Update install files.
  * Fix path for removing private headers.
  * Update debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 29 May 2014 23:32:11 -0300

qtlocation-opensource-src (5.3.0-0ubuntu4) utopic; urgency=medium

  [ Christian Dywan ]
  * Add debian/patches/appSpecificTileCache.diff (LP: #1276658)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Sep 2014 06:55:28 +0000

qtlocation-opensource-src (5.3.0-0ubuntu3) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 14:05:46 -0700

qtlocation-opensource-src (5.3.0-0ubuntu2) utopic; urgency=medium

  * debian/control: adding back 'or' dependency for the gles variant

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 19 Jun 2014 03:13:13 -0300

qtlocation-opensource-src (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
    - Qt Location part is still not officially released, so applications may
      need changes
    - Qt Positioning should be fuly compatible with the previous version
  * Move include files to the new path
  * Use the new name for b-d, qml-module-qtquick2
  * Refresh skip_failing_tests.patch 
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Jun 2014 08:10:07 +0000

qtlocation-opensource-src (5.2.1-1ubuntu2) trusty; urgency=medium

  * libqt5location5.symbols: adding dep alternatives for the version
    compatible with OpenGLES (provided by another src pkg)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 16:13:54 -0300

qtlocation-opensource-src (5.2.1-1ubuntu1) trusty; urgency=medium

  * Merge with ‘location-packages’ branch of Debian packaging Git,
    remaining changes:
    - Add needed Breaks/Replaces fields.
    - Make qtlocation5-dev depend on qtpositioning5-dev for this cycle.
    - Use Ubuntu Vcs fields.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 23 Mar 2014 13:56:16 +0400

qtlocation-opensource-src (5.2.1-3) unstable; urgency=medium

  * Rename the QML module from qtdeclarative5-qtlocation-plugin to
    qml-module-location, adding proper Break+Replaces and renaming necessary
    files.
    Also rename the location QML module files, which is currently not being
     built.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 12:14:03 -0300

qtlocation-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Mar 2014 08:34:10 -0300

qtlocation-opensource-src (5.2.1-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Feb 2014 23:29:05 -0300
